// EdIRREdP.cpp : implementation file
//

#include "stdafx.h"

#include "Defines.hpp"

#ifdef D_ED_IR_ACTIVE

#include "EdIRREdP.hpp"

#include "EdIRREd.hpp"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// class CPA_EdIR_UndoPaste
/////////////////////////////////////////////////////////////////////////////

/**********************************************************************************/
CPA_EdIR_UndoPaste::CPA_EdIR_UndoPaste(CPA_EdIR_EditCtrl *pclEditCtrl,
										 CString csString,
										 long lIndex,long lScrollPosition,
										 BOOL bBlock)
	:CPA_Modif(2,"Paste",bBlock)
{
	m_csString=csString;
	m_lIndex=lIndex;
	m_lScrollPosition=lScrollPosition;
	m_pclEditCtrl=pclEditCtrl;
}

/**********************************************************************************/
CPA_EdIR_UndoPaste::~CPA_EdIR_UndoPaste()
{
}

/**********************************************************************************/
BOOL CPA_EdIR_UndoPaste::Do()
{
	m_pclEditCtrl->m_fn_vAddString(m_lIndex,m_lScrollPosition,m_csString);
	m_pclEditCtrl->m_fn_vSetModified(TRUE);

	return TRUE;
}

/**********************************************************************************/
BOOL CPA_EdIR_UndoPaste::Undo()
{
	m_pclEditCtrl->m_fn_vDelString(m_lIndex,m_lScrollPosition,m_csString);
	m_pclEditCtrl->m_fn_vSetModified(TRUE);

	return TRUE;
}

#endif //D_ED_IR_ACTIVE
